# Filter the _speedups.so provides that otherwise comes into the provides
%global __provides_exclude _speedups\\.so
%define module scss

Name:           python-scss
Version:        1.3.7
Release:        %mkrel 1
Summary:        A SCSS compiler for Python

License:        MIT
Group:          Development/Python
URL:            https://github.com/Kronuz/pyScss
Source0:        https://github.com/Kronuz/pyScss/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-six
BuildRequires:  python3-sphinx
BuildRequires:  pkgconfig(libpcre)
BuildRequires:  python3-setuptools

%description
A SCSS compiler for Python.

%package -n     python3-%{module}
Summary:        A SCSS compiler for Python3
Group:          Development/Python
%{?python_provide:%python_provide python3-%{module}}
Provides:       pyscss = %{version}-%{release}

%description -n python3-%{module}
A SCSS compiler for Python3.

%prep
%setup -q -n pyScss-%{version}
%autopatch -p0


%build
%py3_build

export PYTHONPATH=$(pwd)
make -C docs man SPHINXBUILD=sphinx-build
make -C docs html SPHINXBUILD=sphinx-build

%install
%py3_install
chmod +x %{buildroot}%{python3_sitearch}/scss/tool.py

mkdir -p %{buildroot}%{_mandir}/man1/
cp -ar docs/_build/man/pyscss.1 %{buildroot}%{_mandir}/man1/pyscss.1

find %{buildroot} -type f -exec sed -i '1s=^#!/usr/bin/\(python\|env python\)[23]\?=#!%{__python3}=' {} +

%files -n python3-%{module}
%doc DESCRIPTION README.rst
%doc docs/_build/html
%{python3_sitearch}/*
%{_bindir}/pyscss
%{_bindir}/less2scss
%{_mandir}/man1/pyscss.1.*


%changelog
* Sat Jul 11 2020 daviddavid <daviddavid> 1.3.7-1.mga8
+ Revision: 1604725
- new version: 1.3.7
+ joequant <joequant>
- bump
- fix shebangs
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Sun Sep 15 2019 wally <wally> 1.3.5-3.mga8
+ Revision: 1441634
- make pkg archful
- rebuild for python3.8
- provide pyscss
+ tv <tv>
- make it noarch, only the py2 subpkg contained binaries

* Sun Aug 25 2019 wally <wally> 1.3.5-2.mga8
+ Revision: 1431827
- update doc build

* Sun Apr 14 2019 daviddavid <daviddavid> 1.3.5-1.mga7
+ Revision: 1390046
- new version: 1.3.5
- switch to Python 3

* Sun Sep 23 2018 umeabot <umeabot> 1.2.0-7.mga7
+ Revision: 1300593
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 1.2.0-6.mga6
+ Revision: 947008
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.2.0-5.mga5
+ Revision: 745990
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.2.0-4.mga5
+ Revision: 729740
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.2.0-3.mga5
+ Revision: 688321
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Feb 11 2014 colin <colin> 1.2.0-1.mga5
+ Revision: 589296
- Import package python-scss from Fedora


* Wed Nov 06 2013 Patrick Uiterwijk <puiterwijk@gmail.com> - 1.2.0-2
- Buildrequire set to python2-devel
- Added buildrequire pcre-devel
- Changed URL to Source
- Added -a to cp to retain timestamp

* Thu Oct 17 2013 Patrick Uiterwijk <puiterwijk@gmail.com> - 1.2.0-1
- Initial packaging
